/*******************************************************************************
** L sia il lingauggio di tutte le stringhe sull'alfabeto contenenti lo stesso**
** numero di a, di b, di c.                                                   **
** Il linguaggio L non e' un linguaggio regolare:                             **
**	- Lo si dimostri, e 							                          **
**  - Si dica che tipo di linguaggio sia L, se lo si sa, e	                  **
**  - Si dica cosa significa che Lex "riconosce" linguaggi come L             **
** NON USA SOLO ANALISI LESSICALE: SFRUTTA IL META-LINGUAGGIO                 **
*******************************************************************************/ 

%{
int acount = 0;
int bcount = 0;
int test(int n);
%}

S [a-z]*
separatore1 [ \t]
separatore2 \n

%%

"a" {acount++;}
"b" {bcount++;}
[c-z] {}
{separatore1} {if ((acount==bcount)&(acount!=0)) printf("ACCEPT; "); 
			   else printf("NOACCEPT; "); acount=bcount=0;}
{separatore2} {if ((acount==bcount)&(acount!=0)) printf("ACCEPT;\n"); 
			   else printf("NOACCEPT;\n"); acount=bcount=0;}
			   
%%

int yywrap(void){
printf("\n*********ANALISI TERMINATA*********\n");
return 1;
}

